package com.gyee.wisdom.dao.sql.alarm;

import com.gyee.wisdom.common.data.DataUtil;
import com.gyee.wisdom.common.data.alarm.GyeeLine;
import com.gyee.wisdom.dao.alarm.IGyeeLineDao;
import com.gyee.wisdom.dao.sql.alarm.Entity.AlertsnapEntity;
import com.gyee.wisdom.dao.sql.alarm.Entity.GyeeLineEntity;
import com.gyee.wisdom.dao.sql.alarm.repository.GyeeLineRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;

@Component
public class JpaGyeeLineDao implements IGyeeLineDao{
    @Autowired
    private GyeeLineRepository gyeelineRepository;
    @Override
    public List<GyeeLine> findAll() {
        List<GyeeLine> listline=DataUtil.convertDataList(gyeelineRepository.findAll());
        return listline;
    }

    @Override
    public GyeeLine findById(String id) {
        GyeeLine gyeeline=gyeelineRepository.findById(id).get().toData();
        return gyeeline;
    }

    @Override
    public void deletebyid(String id) {
        gyeelineRepository.deleteById(id);
    }

    @Override
    public void save(GyeeLine gyeeline) {
        gyeelineRepository.save(new GyeeLineEntity(gyeeline));
    }

    @Override
    public List<GyeeLine> findByprojectId(String id) {
        return DataUtil.convertDataList(gyeelineRepository.findFirstByProjectId(id));
    }

}
